diff a/src/hotspot/share/cds/dumpAllocStats.cpp b/src/hotspot/share/cds/dumpAllocStats.cpp
--- a/src/hotspot/share/cds/dumpAllocStats.cpp
+++ b/src/hotspot/share/cds/dumpAllocStats.cpp
@@ -22,10 +22,11 @@
  *
  */
 
 #include "precompiled.hpp"
 #include "cds/aotClassLinker.hpp"
+#include "cds/cdsConfig.hpp"
 #include "cds/dumpAllocStats.hpp"
 #include "logging/log.hpp"
 #include "logging/logMessage.hpp"
 
 void DumpAllocStats::print_stats(int ro_all, int rw_all) {
@@ -119,10 +120,12 @@
            _num_indy_cp_entries, _num_indy_cp_entries_archived,
            percent_of(_num_indy_cp_entries_archived, _num_indy_cp_entries),
            _num_indy_cp_entries_reverted);
   msg.info("Platform loader initiated classes = %5d", AOTClassLinker::num_platform_initiated_classes());
   msg.info("App      loader initiated classes = %5d", AOTClassLinker::num_app_initiated_classes());
+  msg.info("Dynamic proxy classes             = %5d%s", _num_dynamic_proxy_classes,
+           CDSConfig::is_dumping_full_module_graph() ? "" : " (not archiving FMG)");
 }
 
 #ifdef ASSERT
 void DumpAllocStats::verify(int expected_byte_size, bool read_only) const {
   int bytes = 0;
